mixin head
    // CSS only
    link(rel='stylesheet' href='https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/css/bootstrap.min.css' integrity='sha384-9aIt2nRpC12Uk9gS9baDl411NQApFmC26EwAOH8WgZl5MYYxFfc+NcPb1dKGj7Sk' crossorigin='anonymous')
    // JS, Popper.js, and jQuery
    script(src='https://code.jquery.com/jquery-3.5.1.slim.min.js' integrity='sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj' crossorigin='anonymous')
    script(src='https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js' integrity='sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo' crossorigin='anonymous')
    script(src='https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/js/bootstrap.min.js' integrity='sha384-OgVRvuATP1z7JjHLkuOU7Xw704+h835Lr+6QL9UvYjZE3Ipu6Tp75j7Bh/kR0JKI' crossorigin='anonymous')

  


mixin navbar
  nav.navbar.navbar-expand-md.fixed-top.navbar-dark.bg-dark
    .container
      ul.navbar-nav
        li.nav-item
          // ingenierias
          a.navbar-brand(href='/')
            b
            | Home
        li.nav-item.active
              a.nav-link.h5(href='/about') Nosotros
        li.nav-item.dropdown
          a.navbar-brand.dropdown-toggle(data-toggle='dropdown' href='#')
            b
            | Servicios
          .dropdown-menu
            a.dropdown-item(href='/servicios') Nuestros servicios
            a.dropdown-item(href='/api/usuario') Usuarios
            a.dropdown-item(href='/api/newuser') Nuevo Usuario
      // izquierda
      button.navbar-toggler.navbar-toggler-right(type='button' data-toggle='collapse' data-target='#navbar3SupportedContent' aria-controls='navbar3SupportedContent' aria-expanded='false' aria-label='Toggle navigation')
        span.navbar-toggler-icon
      #navbar3SupportedContent.collapse.navbar-collapse.text-center.justify-content-end
        ul.navbar-nav
          li.nav-item.active
            a.nav-link.h5(href='/api/login') Login
          li.nav-item.dropdown
            a.navbar-brand.dropdown-toggle(data-toggle='dropdown' href='#')
              b
              | Register
            .dropdown-menu
              a.dropdown-item(href='/api/newuser') Registro
          
          


mixin carrusel

    #carousel-example-2.carousel.slide.carousel-fade(data-ride='carousel')
      // Indicators
      ol.carousel-indicators
        li.active(data-target='#carousel-example-2' data-slide-to='0')
        li(data-target='#carousel-example-2' data-slide-to='1')
        li(data-target='#carousel-example-2' data-slide-to='2')
      // /.Indicators
      // Slides
      .carousel-inner(role='listbox')
        .carousel-item.active
          .view
            img.d-block.w-100(src='https://mdbootstrap.com/img/Photos/Slides/img%20(68).jpg' alt='First slide')
            .mask.rgba-black-light
          .carousel-caption
            h3.h3-responsive Light mask
            p All Blue
        .carousel-item
          // Mask color
          .view
            img.d-block.w-100(src='https://mdbootstrap.com/img/Photos/Slides/img%20(6).jpg' alt='Second slide')
            .mask.rgba-black-strong
          .carousel-caption
            h3.h3-responsive Strong mask
            p The Comarca
        .carousel-item
          // Mask color
          .view
            img.d-block.w-100(src='https://mdbootstrap.com/img/Photos/Slides/img%20(9).jpg' alt='Third slide')
            .mask.rgba-black-slight
          .carousel-caption
            h3.h3-responsive Slight mask
            p Interestelar
      // /.Slides
      // Controls
      a.carousel-control-prev(href='#carousel-example-2' role='button' data-slide='prev')
        span.carousel-control-prev-icon(aria-hidden='true')
        span.sr-only Previous
      a.carousel-control-next(href='#carousel-example-2' role='button' data-slide='next')
        span.carousel-control-next-icon(aria-hidden='true')
        span.sr-only Next
      // /.Controls


mixin footer
    .container-fluid.bg-dark.text-white.py-4
        .container
            .row
            .col-md-9
                p.lead Suscríbase a nuestra pagina para recibir las últimas noticias
                form.form-inline
                    .form-group
                        input.form-control(type='email' placeholder='Ingrese su e-mail')
                    a.btn.btn-rounded.btn-primary.btn.ml-3(href='/api/login') Subscribirse
            .row
            .col-md-12.mt-3.text-center
                p &copy; Copyright 2020 ChacalonesTI - Todos los Derechos Reservados

mixin add
  #carousel-example-2.carousel.slide.carousel-fade(data-ride='carousel')
      // Indicators
      ol.carousel-indicators
        li.active(data-target='#carousel-example-2' data-slide-to='0')
        
      // /.Indicators
      // Slides
      .carousel-inner(role='listbox')
        .carousel-item.active
          .view
            img.d-block.w-100(src='https://www.colombiaexportaservicios.co/sites/default/files/2.png' alt='First slide')
            .mask.rgba-black-light
          .carousel-caption
            h3.h3-responsive FORM ADD
            p Añadir Nuevo Usuario 
